# eric4.Graphics.SvgDiagram

Module implementing a dialog showing a SVG graphic.

### Global Attributes

None

### Classes

SvgDiagram | Class implementing a dialog showing a SVG graphic.

### Functions

None

## SvgDiagram

Class implementing a dialog showing a SVG graphic.

### Derived from

KQMainWindow

### Class Attributes

None

### Methods

SvgDiagram | Constructor
__adjustScrollBar | Private method to adjust a scrollbar by a certain factor.
__doZoom | Private method to perform the zooming.
__initActions | Private method to initialize the view actions.
__initContextMenu | Private method to initialize the context menu.
__initToolBars | Private method to populate the toolbars with our actions.
__print | Private slot to the actual printing.
__printDiagram | Private slot called to print the diagram.
__printPreviewDiagram | Private slot called to show a print preview of the diagram.
__showContextMenu | Private slot to show the context menu of the listview.
__zoom | Private method to handle the zoom context menu action.
__zoomIn | Private method to handle the zoom in context menu entry.
__zoomOut | Private method to handle the zoom out context menu entry.
__zoomReset | Private method to handle the reset zoom context menu entry.
getDiagramName | Method to retrieve a name for the diagram.

#### SvgDiagram (Constructor)

SvgDiagram(svgFile, parent = None, name = None)

Constructor

svgFile
  filename of a SVG graphics file to show (QString or string)
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)

#### SvgDiagram.__adjustScrollBar

__adjustScrollBar(scrollBar, factor)

Private method to adjust a scrollbar by a certain factor.

scrollBar
  reference to the scrollbar object (QScrollBar)
factor
  factor to adjust by (float)

#### SvgDiagram.__doZoom

__doZoom(factor)

Private method to perform the zooming.

factor
  zoom factor (float)

#### SvgDiagram.__initActions

__initActions()

Private method to initialize the view actions.

#### SvgDiagram.__initContextMenu

__initContextMenu()

Private method to initialize the context menu.

#### SvgDiagram.__initToolBars

__initToolBars()

Private method to populate the toolbars with our actions.

#### SvgDiagram.__print

__print(printer)

Private slot to the actual printing.

printer
  reference to the printer object (QPrinter)

#### SvgDiagram.__printDiagram

__printDiagram()

Private slot called to print the diagram.

#### SvgDiagram.__printPreviewDiagram

__printPreviewDiagram()

Private slot called to show a print preview of the diagram.

#### SvgDiagram.__showContextMenu

__showContextMenu(coord)

Private slot to show the context menu of the listview.

coord
  the position of the mouse pointer (QPoint)

#### SvgDiagram.__zoom

__zoom()

Private method to handle the zoom context menu action.

#### SvgDiagram.__zoomIn

__zoomIn()

Private method to handle the zoom in context menu entry.

#### SvgDiagram.__zoomOut

__zoomOut()

Private method to handle the zoom out context menu entry.

#### SvgDiagram.__zoomReset

__zoomReset()

Private method to handle the reset zoom context menu entry.

#### SvgDiagram.getDiagramName

getDiagramName()

Method to retrieve a name for the diagram.

Returns:
  name for the diagram

Up